WordPress.org

Forums

oik-nivo-slider
[resolved] Warning Error after upgrade (6 posts)

  1. StefExakt
    Member
    Posted 2 years ago #

    I upgraded the oik nivo and base plugin and now am seeing this error (only on the page that the nivo slider appears on) -

    Warning: json_encode() expects exactly 1 parameter, 2 given in /home/aussie12/public_html/aussiefit/wp-content/plugins/oik/bobbfunc.inc on line 1749

    I tried to "downgrade" to the old version of the nivo slider plugin (deleted and replaced the oik-nivo-slider folder within the plugins folder) but I am still seeing this error.

    Can you please let me know how to remove/resolve this error message or can you provide a link for me to download the old version of the oik base plugin to replace?

    Here is my site's url: http://www.aussiefit.net

    http://wordpress.org/extend/plugins/oik-nivo-slider/

  2. vigneswara
    Member
    Posted 2 years ago #

    I have the exact same problem. can someone help please.

  3. bobbingwide
    Member
    Plugin Author

    Posted 2 years ago #

    Hi, you will get this message if you're not running PHP 5.3.

    The call to json_encode() is within the oik base plugin, in bobbfunc.inc at line 875.

    Instead of downgrading to the previous version of oik, I suggest you either apply a simple workaround - remove the second parameter from the call, leaving
    $jqoption = json_encode( $parms );

    OR upgrade to at least PHP 5.3.3
    OR try theming the unwanted Warnings out of view - though it looks tricky.

    The reason I added this code was to enable custom "box" transitions without having to change the jQuery Nivo version 3.1 code, except for renaming the files.

    I didn't think that the extra parameter would be a problem. PHP user functions don't care if they get passed more parameters than they expect.

    If you're unable to make the changes let me know and I'll release a new version of oik.

    StefExakt - have you tried the caption=n option? so you don't get text behind the surfboard/didgeridoo/bull roarer

  4. StefExakt
    Member
    Posted 2 years ago #

    bobbingwide - THANK YOU SO MUCH!

    Removing the second parameter worked! I did try removing the captions with css styles to no avail but I will try your suggestion, thanks!

  5. bobbingwide
    Member
    Plugin Author

    Posted 2 years ago #

    Hi again. After my initial response I realized that I can make the solution a lot easier to apply.

    The easiest way for me to get a new version of the plugin to you is through the new oik options > Plugins route.

    I have created a new version (v1.17.1204) that contains a fix to the above problem. You can install it directly from oik-plugins.com, in 4 simple steps.

    For instructions see http://www.oik-plugins.com/tutorials/upgrade-to-a-new-version-of-oik-from-oik-plugins/

    This is much easier than fiddling with the development version.

  6. bobbingwide
    Member
    Plugin Author

    Posted 2 years ago #

    StefExakt. I see you're sorted now. I hope the problem, like a bad boomerang, won't come back.

    I won't close this as resolved until I've updated the version on WordPress.org

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • oik-nivo-slider
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic